VERSION 5.00
Begin VB.Form frmDemo 
   Caption         =   "Code128 Font Demo"
   ClientHeight    =   4275
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10785
   LinkTopic       =   "Form1"
   ScaleHeight     =   4275
   ScaleWidth      =   10785
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtHTStr 
      Alignment       =   2  'Center
      Height          =   495
      Left            =   240
      TabIndex        =   7
      Top             =   3240
      Width           =   9975
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   4680
      TabIndex        =   5
      Top             =   960
      Width           =   1455
   End
   Begin VB.CommandButton cmdDisplay 
      Caption         =   "Display Barcode"
      Height          =   495
      Left            =   4680
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.TextBox txtCode128 
      Alignment       =   2  'Center
      Height          =   1575
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   3
      Text            =   "frmDemo.frx":0000
      Top             =   1800
      Width           =   9975
   End
   Begin VB.TextBox txtData 
      Height          =   405
      Left            =   1200
      TabIndex        =   2
      Text            =   "(01)1234567890123"
      Top             =   1080
      Width           =   3255
   End
   Begin VB.ComboBox cbxSymbology 
      Height          =   315
      ItemData        =   "frmDemo.frx":0006
      Left            =   1200
      List            =   "frmDemo.frx":0022
      TabIndex        =   0
      Top             =   360
      Width           =   2415
   End
   Begin VB.Label lblData 
      Caption         =   "Data"
      Height          =   375
      Left            =   240
      TabIndex        =   6
      Top             =   1080
      Width           =   855
   End
   Begin VB.Label lblSymbology 
      Caption         =   "Symbology"
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   360
      Width           =   855
   End
End
Attribute VB_Name = "frmDemo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cbxSymbology_Change()
    If (cbxSymbology.ListIndex = 5) Then
        ' Sample GS1-128 string
        txtData.Text = "(01)12345678901234(3103)123456"
    End If
End Sub

Private Sub cmdDisplay_Click()
    Dim str As String
    Dim HRStr As String
    
    If (Len(txtData.Text) = 0) Then
        Exit Sub
    End If
    
    HRStr = txtData.Text
    If (cbxSymbology.ListIndex = 0) Then
        str = Code128Auto(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 1) Then
        str = Code128A(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 2) Then
        str = Code128B(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 3) Then
        str = Code128C(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 4) Then
        str = UCCEAN128(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 5) Then
        str = GS1_128(txtData.Text)
    ElseIf (cbxSymbology.ListIndex = 6) Then
        str = SCC14(txtData.Text, HRStr)
    ElseIf (cbxSymbology.ListIndex = 7) Then
        str = SSCC18(txtData.Text, HRStr)
    End If
        
    txtCode128.Font.Name = "MW6 Code128L"
    txtCode128.Font.Size = 50
    txtCode128.Text = str
    
    txtHTStr.Text = HRStr
End Sub

Private Sub cmdExit_Click()
    ' shut down application
    Unload Me
End Sub

Private Sub Form_Load()
    cbxSymbology.ListIndex = 0
End Sub

Private Sub aa(ByVal bb As String)
    Dim I As Integer
    Dim dd As String
     
    dd = ""
    For I = 1 To Len(bb)
        dd = dd & " " & Asc(Mid(bb, I, 1))
    Next I
    
    MsgBox dd
End Sub
